%global pypi_name python-afl
%global underscore_name python_afl

Name:           %{pypi_name}
Version:        0.5.3
Release:        1%{?dist}
Summary:        Module that enables Afl fork server for Python code

License:        MIT
URL:            https://pypi.python.org/pypi/python-afl
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}-%{version}.tar.gz
Source1:        LICENSE

ExclusiveArch: %{ix86} x86_64

BuildRequires:  python2-devel
BuildRequires:  Cython

%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-Cython
%endif # with python3

Requires:  american-fuzzy-lop
Requires:  python-afl-bin

%description
Afl is an experimental module that enables American fuzzy lop fork server
and instrumentation for pure-Python code.

%package     -n python3-afl
Summary:      The python3  module that enables Afl fork server for Python code

Requires:  american-fuzzy-lop
Requires:  python-afl-bin

%description -n python3-afl
Afl is an experimental module that enables American fuzzy lop fork server 
and instrumentation for pure-Python3 code

%package     -n python-afl-bin
Summary:     Contains bash scripts for packages python-afl and python3-afl

%description -n python-afl-bin
The python-afl-bin is a package that contains py-afl-fuzz and py-afl-showmap scripts for both packages python-afl and python3-afl

%prep
%setup -qc
mv %{name}-%{version} python2
cp -p %{SOURCE1} .

%if %{with python3}
cp -a python2 python3
%endif # with python3


%build
pushd python2
%{__python2} setup.py build
popd

%if %{with python3}
pushd python3
%{__python3} setup.py build
popd
%endif # with python3

%install

rm -rf $RPM_BUILD_ROOT
%if %{with python3}
pushd python3
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with python3

pushd python2
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mv py-afl-fuzz %{buildroot}%{_bindir}/py-afl-fuzz
popd

# %%check section was not included, because properly working test
# is missing in source files

%files
%defattr(755, root, root, -)
%doc python2/doc/
%license LICENSE
%{python2_sitearch}/afl.so
%{python2_sitearch}/%{underscore_name}-%{version}-*.egg-info

%if %{with python3}
%files -n python3-afl
%defattr(755, root, root, -)
%doc python3/doc/
%license LICENSE 
%{python3_sitearch}/afl.cpython-*.so
%{python3_sitearch}/%{underscore_name}-%{version}-*.egg-info
%endif # with python3

%files -n python-afl-bin
%{_bindir}/py-afl-fuzz

%changelog
* Wed Apr 13 2016 Michal Cyprian <mcyprian@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Jul 13 2015 Michal Cyprian <mcyprian@redhat.com> - 0.2-2
- Add ExclusiveArch: %{ix86} x86_64

* Tue Jul 07 2015 Michal Cyprian <mcyprian@redhat.com> - 0.2-1
- Initial release of RPM package
